## org.eclipse.datatools.connectivity.ui
Class PingJob

    java.lang.Object
      Job
          org.eclipse.datatools.connectivity.ui.PingJob

    public class PingJob

extends Job

Executes a ping operation as a background job.

Nested Class Summary
`static class` `PingJob.PingUIJob`

Constructor Summary
`PingJob(Shell shell, IConnectionProfile profile)`

Method Summary
`static IConnection` `createTestConnection(IConnectionProfile icp)`
`static java.lang.Throwable` `getTestConnectionException(IConnection conn)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingJob

    public PingJob(Shell shell,
                   IConnectionProfile profile)

Parameters:
  `exceptions` -
  `name` -

Method Detail

### createTestConnection

    public static IConnection createTestConnection(IConnectionProfile icp)

### getTestConnectionException

    public static java.lang.Throwable getTestConnectionException(IConnection conn)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.